Subject: P1394> AV/C Working Group Meeting Summary 6/26

From: "gregory leclair" <[email-masked]>
Date: Mon, 30 Jun 97 19:00:09 PDT

Hi all.
     
     I attended the end of the AV/C WG off-cycle meeting on Thursday 6/26 
     in Sunnyvale, CA upon return from Nashua.
     
     Sony handed out a copy of a proposal titled:
     
     "Proposal For The 1394 Trade Association: Self Describing Devices"
     "Preliminary suggestions for Descriptive Information in a 
     Configuration ROM"
     "Version 0.3"
     
     The information to be added would appear in a Root dependent directory 
     and also would be added to Unit directories. Compatibility with SBP-2 
     was not explicitly addressed.
     
     Some of the entries offer a different idea on what should be in Config 
     ROM, such as device icons which can be read from the device for use on 
     the UI.
     
     It seems the critical issue that is trying to be addressed is the 
     ability to return a Model Name string.
     
     The document describes same problem the 1394 PWG has identified as a 
     key issue with 1394 devices, namely, a way to enumerate functions 
     independent of protocol.
     
     My feedback was that we had been discussing similar issue in 1394 PWG 
     and were open to ideas on where the functional information should be 
     stored.
     
     The end of the meeting resulted in agreement that this is an issue 
     which should be discussed at 1394 TA architecture meeting.
     
     Please let me know if you have any questions.
     
     Greg LeClair, 1394 PWG Chair
     [email-masked]